/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2020 . All rights reserved.
 *
 */
package net.northking.cctp.testbug.dto.platform;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.io.Serializable;
import java.util.List;

/**
 * 查询接口--数据传输对象：用户信息表
 * <p>
 * createdate:  2020-12-30 14:14:10  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "用户信息表")
public class UserQueryDto extends TenantPartition implements Serializable {
    /**
     * 用户登录号<br>
     */
    @ApiModelProperty("主键")
    private String id;

    /**
     * 用户登录号<br>
     */
    @ApiModelProperty("用户登录号")
    private String loginNo;
    /**
     * 用户中文名称<br>
     */
    @ApiModelProperty("用户中文名称")
    private String userChnName;

    /**
     * 机构ID<br>
     */
    @ApiModelProperty("机构ID")
    private String orgId;
    /**
     * 机构名称<br>
     */
    @ApiModelProperty("机构名称")
    private String orgName;

    /**
     * 是否启用<br>
     */
    @ApiModelProperty("是否启用")
    private Boolean enabled;
    /**
     * 是否已删除<br>
     */
    @ApiModelProperty("是否已删除")
    private Boolean deleted;

    @ApiModelProperty("员工状态")
    private String status;

    /**
     * 是否锁定<br>
     */
    @ApiModelProperty("是否锁定")
    private Boolean locked;

    @ApiModelProperty(value = "用户id集合")
    private List<String> ids;

    @ApiModelProperty(value = "租户id")
    private String tenantId;
    @ApiModelProperty("用户中文名称")
    private String userChnNames;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getLoginNo() {
        return loginNo;
    }

    public void setLoginNo(String loginNo) {
        this.loginNo = loginNo;
    }

    public String getUserChnName() {
        return userChnName;
    }

    public void setUserChnName(String userChnName) {
        this.userChnName = userChnName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Boolean getLocked() {
        return locked;
    }

    public void setLocked(Boolean locked) {
        this.locked = locked;
    }

    @ApiModelProperty("关联用户角色关系--排除角色ID")
    private String excludeRoleIdByUserRole;

    public String getExcludeRoleIdByUserRole() {
        return excludeRoleIdByUserRole;
    }

    public void setExcludeRoleIdByUserRole(String excludeRoleIdByUserRole) {
        this.excludeRoleIdByUserRole = excludeRoleIdByUserRole;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getUserChnNames() {
        return userChnNames;
    }

    public void setUserChnNames(String userChnNames) {
        this.userChnNames = userChnNames;
    }
}